> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Add email setting overrides to envelope

POST https://demo.docusign.net/restapi/v2/accounts/{accountId}/envelopes/{envelopeId}/email_settings
Content-Type: application/json

Adds email override settings, changing the email address to reply to an email address, name, or the BCC for email archive information, for the envelope. Note that adding email settings will only affect email communications that occur after the addition was made.

### Important: The BCC Email address feature is designed to provide a copy of all email communications for external archiving purposes. DocuSign recommends that envelopes sent using the BCC for Email Archive feature, including the BCC Email Override option, include additional signer authentication options. To send a copy of the envelope to a recipient who does not need to sign, use a Carbon Copy or Certified Delivery recipient type.

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/envelopes/envelopeemailsettings/create

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.
- `envelopeId` (string, required) — The envelope's GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec

### Body (application/json)

This endpoint expects an emailSettings.

- `bccEmailAddresses` (list of bccEmailAddress, optional) — An array containing the email address that should receive a copy of all email communications related to an envelope for archiving purposes. Maximum Length: 100 characters. **Note**: While this property is an array, it takes only a single email address.
- `replyEmailAddressOverride` (string, optional)
- `replyEmailNameOverride` (string, optional)

## Response

### 201

Successful response.

- `bccEmailAddresses` (list of bccEmailAddress, optional) — An array containing the email address that should receive a copy of all email communications related to an envelope for archiving purposes. Maximum Length: 100 characters. **Note**: While this property is an array, it takes only a single email address.
- `replyEmailAddressOverride` (string, optional)
- `replyEmailNameOverride` (string, optional)

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### bccEmailAddress

Contains information about the BCC email address.

- `bccEmailAddressId` (string, optional) — Only users with canManageAccount setting can use this option. An array of up to 5 email addresses the envelope is sent to as a BCC email. Example: If your account has BCC for Email Archive set up for the email address 'archive@mycompany.com' and you send an envelope using the BCC Email Override to send a BCC email to 'salesarchive@mycompany.com', then a copy of the envelope is only sent to the 'salesarchive@mycompany.com' email address.
- `email` (string, optional) — Specifies the BCC email address. DocuSign verifies that the email format is correct, but does not verify that the email is active.Using this overrides the BCC for Email Archive information setting for this envelope. Maximum of length: 100 characters.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "bccEmailAddresses": [
    {
      "bccEmailAddressId": "string",
      "email": "string"
    }
  ],
  "replyEmailAddressOverride": "string",
  "replyEmailNameOverride": "string"
}
```